;;; init-eldoc.el --- Eldoc configuration

;; Filename: init-eldoc.el
;; Description: Eldoc configuration
;; Author: Andy Stewart lazycat.manatee@gmail.com
;; Maintainer: Andy Stewart lazycat.manatee@gmail.com
;; Copyright (C) 2008, 2009, Andy Stewart, all rights reserved.
;; Created: 2008-10-20 09:32:12
;; Version: 0.1
;; Last-Updated: 2008-10-20 09:32:14
;;           By: Andy Stewart
;; URL:
;; Keywords: eldoc
;; Compatibility: GNU Emacs 23.0.60.1
;;
;; Features that might be required by this library:
;;
;;
;;

;;; This file is NOT part of GNU Emacs

;;; License
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 3, or (at your option)
;; any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program; see the file COPYING.  If not, write to
;; the Free Software Foundation, Inc., 51 Franklin Street, Fifth
;; Floor, Boston, MA 02110-1301, USA.

;;; Commentary:
;;
;; Eldoc configuration
;;

;;; Installation:
;;
;; Put init-eldoc.el to your load-path.
;; The load-path is usually ~/elisp/.
;; It's set in your ~/.emacs like this:
;; (add-to-list 'load-path (expand-file-name "~/elisp"))
;;
;; And the following to your ~/.emacs startup file.
;;
;; (require 'init-eldoc)
;;
;; No need more.

;;; Change log:
;;
;; 2008/10/20
;;      First released.
;;

;;; Acknowledgements:
;;
;;
;;

;;; TODO
;;
;;
;;

;;; Require


;;; Code:

(dolist (hook (list
               'ielm-mode-hook
               'emacs-lisp-mode-hook
               'lisp-interaction-mode-hook
               'message-mode-hook
               'Info-mode-hook
               'erc-mode-hook
               'org-mode-hook
               ))
  (add-hook hook '(lambda ()
                    (progn
                      (require 'eldoc)
                      (require 'eldoc-extension)
                      (setq eldoc-idle-delay 0)                       ;显示延迟
                      (setq eldoc-argument-case 'eldoc-argument-list) ;高亮函数参数
                      (turn-on-eldoc-mode)))))

(add-hook 'go-mode-hook 'go-eldoc-setup)
(autoload 'go-eldoc-setup "go-eldoc")

(provide 'init-eldoc)

;;; init-eldoc.el ends here
